declare class ViewStore {
    id: null;
    name: string;
    description: string;
    lastUpdated: string;
    _entitiesList: never[];
    _rectangles: never[];
    _connectors: never[];
    _textBoxes: never[];
    private middlewares;
    constructor(params: object);
    get entitiesList(): never[];
    set entitiesList(value: never[]);
    get entitiesListWithoutCoords(): never[];
    get rectangles(): never[];
    set rectangles(value: never[]);
    get rectanglesWithoutCoords(): never[];
    get connectors(): never[];
    set connectors(value: never[]);
    get connectorsWithoutCoords(): never[];
    get textBoxes(): never[];
    set textBoxes(value: never[]);
    get textBoxesWithoutCoords(): never[];
    update(data?: {}): void;
    getRectangleById(rectangleId: any, withCoords: any): undefined;
    createOrUpdateRectangle(rectangleData?: {}, isSilent?: boolean): {
        rectangleItem: any;
        isCreated: boolean;
    };
    deleteRectangle(rectangleId: any, isSilent?: boolean): {
        rectangleItem: never;
    } | undefined;
    getConnectorById(connectorId: any): undefined;
    validateConnectorInView(connectorItem: any): boolean;
    createOrUpdateConnector(connectorData: any, isSilent?: boolean): {
        connectorItem: any;
        isCreated: boolean;
        isValid: boolean;
    };
    deleteConnector(connectorId: any, isSilent?: boolean): {
        connectorItem: never;
    } | undefined;
    getMapEntityById(entityId: any): undefined;
    createOrUpdateMapEntity(mapEntityData: any, isSilent?: boolean): {
        entityItem: any;
        isCreated: boolean;
    };
    deleteMapEntity(mapEntityId: any, isSilent?: boolean): {
        entityItem: never;
    } | undefined;
    getTextBoxById(textBoxId: any): undefined;
    createOrUpdateTextBox(textBoxData: any, isSilent?: boolean): {
        textBoxItem: any;
        isCreated: boolean;
    };
    deleteTextBox(textBoxId: any, isSilent?: boolean): {
        textBoxItem: never;
    } | undefined;
    toJSON(): {
        id: null;
        name: string;
        description: string;
        lastUpdated: string;
        entitiesList: never[];
        rectangles: never[];
        connectors: never[];
        textBoxes: never[];
    };
}
export default ViewStore;
